# odbc_pconnect

(PHP 4, PHP 5, PHP 7)

odbc_pconnect — Open a persistent database connection

### Description

odbc_pconnect ( string `$dsn` , string `$user` , string `$password` [, int `$cursor_type` ] ) : resource

Opens a persistent database connection.

This function is much like odbc_connect(), except that the connection is not really closed when the script has finished. Future requests for a connection with the same `dsn`, `user`, `password` combination (via odbc_connect() and odbc_pconnect()) can reuse the persistent connection.

### Parameters

See odbc_connect() for details.

### Return Values

Returns an ODBC connection id or 0 (`FALSE`) on error.

### Notes

> Note: Persistent connections have no effect if PHP is used as a CGI program.

### See Also

- odbc_connect() - Connect to a datasource
- Persistent Database Connections